REBOOT(2)

NAME
reboot - reboot system or halt processor

SYNOPSIS
#include <sys/reboot.h>

reboot(howto)
int howto;

DESCRIPTION
Reboot reboots the system, and is invoked automatically in the event of unrecoverable system failures. Howto is a mask of options passed to the bootstrap program. The system call interface permits only RB_HALT or RB_AUTOBOOT to be passed to the reboot program; the other flags are used in scripts stored on the console storage media, or used in manual bootstrap procedures. When none of these options (e.g. RB_AUTOBOOT) is given, the system is rebooted from file “vmunix” in the root file system of unit 0 of a disk chosen in a processor specific way. An automatic consistency check of the disks is then normally performed.

The bits of howto are:

RB_HALT
    the processor is simply halted; no reboot takes place. RB_HALT should be used with caution.

RB_ASKNAME
    Interpreted by the bootstrap program itself, causing it to inquire as to what file should be booted. Normally, the system is booted from the file “xx(0,0)vmunix” without asking.

RB_SINGLE
    Normally, the reboot procedure involves an automatic disk consistency check and then multi-user operations. RB_SINGLE prevents the consistency check, rather simply booting the system with a single-user shell on the console. RB_SINGLE is interpreted by the init(8) program in the newly booted system. This switch is not available from the system call interface.

Only the super-user may reboot a machine.

RETURN VALUES
If successful, this call never returns. Otherwise, a -1 is returned and an error is returned in the global variable errno.

ERRORS

[EPERM]
    The caller is not the super-user.

SEE ALSO
crash(8), halt(8), init(8), reboot(8)

BUGS
The notion of ``console medium'', among other things, is specific to the VAX.